<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="pt">
<head>
<!-- Generated by javadoc (1.8.0_221) on Tue Feb 18 11:40:30 GMT 2020 -->
<title>GraphADT</title>
<meta name="date" content="2020-02-18">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="GraphADT";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":6,"i1":6,"i2":6,"i3":6,"i4":6,"i5":6,"i6":6,"i7":6,"i8":6,"i9":6,"i10":6};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../Graph/Graph.html" title="class in Graph"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../Graph/NetworkADT.html" title="interface in Graph"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?Graph/GraphADT.html" target="_top">Frames</a></li>
<li><a href="GraphADT.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">Graph</div>
<h2 title="Interface GraphADT" class="title">Interface GraphADT&lt;T&gt;</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Known Subinterfaces:</dt>
<dd><a href="../Graph/NetworkADT.html" title="interface in Graph">NetworkADT</a>&lt;T&gt;</dd>
</dl>
<dl>
<dt>All Known Implementing Classes:</dt>
<dd><a href="../Graph/DirectedGraph.html" title="class in Graph">DirectedGraph</a>, <a href="../Graph/DirectedNetwork.html" title="class in Graph">DirectedNetwork</a>, <a href="../Game/GameDirectedGraph.html" title="class in Game">GameDirectedGraph</a>, <a href="../Graph/Graph.html" title="class in Graph">Graph</a></dd>
</dl>
<hr>
<br>
<pre>public interface <span class="typeNameLabel">GraphADT&lt;T&gt;</span></pre>
<div class="block">GraphADT defines the interface to a graph data structure.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a href="javascript:show(4);">Abstract Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../Graph/GraphADT.html#addEdge-T-T-">addEdge</a></span>(<a href="../Graph/GraphADT.html" title="type parameter in GraphADT">T</a>&nbsp;vertex1,
       <a href="../Graph/GraphADT.html" title="type parameter in GraphADT">T</a>&nbsp;vertex2)</code>
<div class="block">Inserts an edge between two vertices of this graph.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../Graph/GraphADT.html#addVertex-T-">addVertex</a></span>(<a href="../Graph/GraphADT.html" title="type parameter in GraphADT">T</a>&nbsp;vertex)</code>
<div class="block">Adds a vertex to this graph, associating object with vertex.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../Graph/GraphADT.html#isConnected--">isConnected</a></span>()</code>
<div class="block">Returns true if this graph is connected, false otherwise.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../Graph/GraphADT.html#isEmpty--">isEmpty</a></span>()</code>
<div class="block">Returns true if this graph is empty, false otherwise.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>java.util.Iterator</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../Graph/GraphADT.html#iteratorBFS-T-">iteratorBFS</a></span>(<a href="../Graph/GraphADT.html" title="type parameter in GraphADT">T</a>&nbsp;startVertex)</code>
<div class="block">Returns a breadth first iterator starting with the given vertex.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>java.util.Iterator</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../Graph/GraphADT.html#iteratorDFS-T-">iteratorDFS</a></span>(<a href="../Graph/GraphADT.html" title="type parameter in GraphADT">T</a>&nbsp;startVertex)</code>
<div class="block">Returns a depth first iterator starting with the given vertex.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>java.util.Iterator</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../Graph/GraphADT.html#iteratorShortestPath-T-T-">iteratorShortestPath</a></span>(<a href="../Graph/GraphADT.html" title="type parameter in GraphADT">T</a>&nbsp;startVertex,
                    <a href="../Graph/GraphADT.html" title="type parameter in GraphADT">T</a>&nbsp;targetVertex)</code>
<div class="block">Returns an iterator that contains the shortest path between the two
 vertices.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../Graph/GraphADT.html#removeEdge-T-T-">removeEdge</a></span>(<a href="../Graph/GraphADT.html" title="type parameter in GraphADT">T</a>&nbsp;vertex1,
          <a href="../Graph/GraphADT.html" title="type parameter in GraphADT">T</a>&nbsp;vertex2)</code>
<div class="block">Removes an edge between two vertices of this graph.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../Graph/GraphADT.html#removeVertex-T-">removeVertex</a></span>(<a href="../Graph/GraphADT.html" title="type parameter in GraphADT">T</a>&nbsp;vertex)</code>
<div class="block">Removes a single vertex with the given value from this graph.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../Graph/GraphADT.html#size--">size</a></span>()</code>
<div class="block">Returns the number of vertices in this graph.</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../Graph/GraphADT.html#toString--">toString</a></span>()</code>
<div class="block">Returns a string representation of the adjacency matrix.</div>
</td>
</tr>
</table>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="addVertex-java.lang.Object-">
<!--   -->
</a><a name="addVertex-T-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>addVertex</h4>
<pre>void&nbsp;addVertex(<a href="../Graph/GraphADT.html" title="type parameter in GraphADT">T</a>&nbsp;vertex)</pre>
<div class="block">Adds a vertex to this graph, associating object with vertex.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>vertex</code> - the vertex to be added to this graph</dd>
</dl>
</li>
</ul>
<a name="removeVertex-java.lang.Object-">
<!--   -->
</a><a name="removeVertex-T-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>removeVertex</h4>
<pre>void&nbsp;removeVertex(<a href="../Graph/GraphADT.html" title="type parameter in GraphADT">T</a>&nbsp;vertex)
           throws <a href="../Exceptions/ElementNotFoundException.html" title="class in Exceptions">ElementNotFoundException</a></pre>
<div class="block">Removes a single vertex with the given value from this graph.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>vertex</code> - the vertex to be removed from this graph</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../Exceptions/ElementNotFoundException.html" title="class in Exceptions">ElementNotFoundException</a></code> - if the element isn't found</dd>
</dl>
</li>
</ul>
<a name="addEdge-java.lang.Object-java.lang.Object-">
<!--   -->
</a><a name="addEdge-T-T-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>addEdge</h4>
<pre>void&nbsp;addEdge(<a href="../Graph/GraphADT.html" title="type parameter in GraphADT">T</a>&nbsp;vertex1,
             <a href="../Graph/GraphADT.html" title="type parameter in GraphADT">T</a>&nbsp;vertex2)</pre>
<div class="block">Inserts an edge between two vertices of this graph.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>vertex1</code> - the first vertex</dd>
<dd><code>vertex2</code> - the second vertex</dd>
</dl>
</li>
</ul>
<a name="removeEdge-java.lang.Object-java.lang.Object-">
<!--   -->
</a><a name="removeEdge-T-T-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>removeEdge</h4>
<pre>void&nbsp;removeEdge(<a href="../Graph/GraphADT.html" title="type parameter in GraphADT">T</a>&nbsp;vertex1,
                <a href="../Graph/GraphADT.html" title="type parameter in GraphADT">T</a>&nbsp;vertex2)
         throws <a href="../Exceptions/ElementNotFoundException.html" title="class in Exceptions">ElementNotFoundException</a></pre>
<div class="block">Removes an edge between two vertices of this graph.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>vertex1</code> - the first vertex</dd>
<dd><code>vertex2</code> - the second vertex</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../Exceptions/ElementNotFoundException.html" title="class in Exceptions">ElementNotFoundException</a></code> - if the element isn't found</dd>
</dl>
</li>
</ul>
<a name="iteratorBFS-java.lang.Object-">
<!--   -->
</a><a name="iteratorBFS-T-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>iteratorBFS</h4>
<pre>java.util.Iterator&nbsp;iteratorBFS(<a href="../Graph/GraphADT.html" title="type parameter in GraphADT">T</a>&nbsp;startVertex)
                        throws <a href="../Exceptions/ElementNotFoundException.html" title="class in Exceptions">ElementNotFoundException</a></pre>
<div class="block">Returns a breadth first iterator starting with the given vertex.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>startVertex</code> - the starting vertex</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a breadth first iterator beginning at the given vertex</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../Exceptions/ElementNotFoundException.html" title="class in Exceptions">ElementNotFoundException</a></code> - if the element isn't found</dd>
</dl>
</li>
</ul>
<a name="iteratorDFS-java.lang.Object-">
<!--   -->
</a><a name="iteratorDFS-T-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>iteratorDFS</h4>
<pre>java.util.Iterator&nbsp;iteratorDFS(<a href="../Graph/GraphADT.html" title="type parameter in GraphADT">T</a>&nbsp;startVertex)
                        throws <a href="../Exceptions/ElementNotFoundException.html" title="class in Exceptions">ElementNotFoundException</a>,
                               <a href="../Exceptions/EmptyCollectionException.html" title="class in Exceptions">EmptyCollectionException</a></pre>
<div class="block">Returns a depth first iterator starting with the given vertex.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>startVertex</code> - the starting vertex</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a depth first iterator starting at the given vertex</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../Exceptions/ElementNotFoundException.html" title="class in Exceptions">ElementNotFoundException</a></code> - if the element isn't found</dd>
<dd><code><a href="../Exceptions/EmptyCollectionException.html" title="class in Exceptions">EmptyCollectionException</a></code> - if the collection is empty</dd>
</dl>
</li>
</ul>
<a name="iteratorShortestPath-java.lang.Object-java.lang.Object-">
<!--   -->
</a><a name="iteratorShortestPath-T-T-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>iteratorShortestPath</h4>
<pre>java.util.Iterator&nbsp;iteratorShortestPath(<a href="../Graph/GraphADT.html" title="type parameter in GraphADT">T</a>&nbsp;startVertex,
                                        <a href="../Graph/GraphADT.html" title="type parameter in GraphADT">T</a>&nbsp;targetVertex)
                                 throws <a href="../Exceptions/EmptyCollectionException.html" title="class in Exceptions">EmptyCollectionException</a>,
                                        <a href="../Exceptions/ElementNotFoundException.html" title="class in Exceptions">ElementNotFoundException</a></pre>
<div class="block">Returns an iterator that contains the shortest path between the two
 vertices.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>startVertex</code> - the starting vertex</dd>
<dd><code>targetVertex</code> - the ending vertex</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>an iterator that contains the shortest path between the two
 vertices</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../Exceptions/EmptyCollectionException.html" title="class in Exceptions">EmptyCollectionException</a></code> - if the collection is empty</dd>
<dd><code><a href="../Exceptions/ElementNotFoundException.html" title="class in Exceptions">ElementNotFoundException</a></code> - if the element isn't found</dd>
</dl>
</li>
</ul>
<a name="isEmpty--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isEmpty</h4>
<pre>boolean&nbsp;isEmpty()</pre>
<div class="block">Returns true if this graph is empty, false otherwise.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true if this graph is empty</dd>
</dl>
</li>
</ul>
<a name="isConnected--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isConnected</h4>
<pre>boolean&nbsp;isConnected()</pre>
<div class="block">Returns true if this graph is connected, false otherwise.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true if this graph is connected</dd>
</dl>
</li>
</ul>
<a name="size--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>size</h4>
<pre>int&nbsp;size()</pre>
<div class="block">Returns the number of vertices in this graph.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the integer number of vertices in this graph</dd>
</dl>
</li>
</ul>
<a name="toString--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>toString</h4>
<pre>java.lang.String&nbsp;toString()</pre>
<div class="block">Returns a string representation of the adjacency matrix.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>toString</code>&nbsp;in class&nbsp;<code>java.lang.Object</code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a string representation of the adjacency matrix</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../Graph/Graph.html" title="class in Graph"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../Graph/NetworkADT.html" title="interface in Graph"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?Graph/GraphADT.html" target="_top">Frames</a></li>
<li><a href="GraphADT.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
